// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/charger/StopTransaction.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Charger {

  /// <summary>Holder for reflection information generated from event/charger/StopTransaction.proto</summary>
  public static partial class StopTransactionReflection {

    #region Descriptor
    /// <summary>File descriptor for event/charger/StopTransaction.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static StopTransactionReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNldmVudC9jaGFyZ2VyL1N0b3BUcmFuc2FjdGlvbi5wcm90bxINZXZlbnQu",
            "Y2hhcmdlchofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byLbAgoP",
            "U3RvcFRyYW5zYWN0aW9uEhkKEWRldmljZV9pZGVudGlmaWVyGAEgASgJEhIK",
            "Cm1ldGVyX3N0b3AYAiABKAUSFgoOdHJhbnNhY3Rpb25faWQYAyABKAUSOgoG",
            "cmVhc29uGAQgASgOMiUuZXZlbnQuY2hhcmdlci5TdG9wVHJhbnNhY3Rpb24u",
            "UmVhc29uSACIAQEiuQEKBlJlYXNvbhIICgROb25lEAASEQoNRW1lcmdlbmN5",
            "U3RvcBABEhIKDkVWRGlzY29ubmVjdGVkEAISDQoJSGFyZFJlc2V0EAMSCQoF",
            "TG9jYWwQBBIJCgVPdGhlchAFEg0KCVBvd2VyTG9zcxAGEgoKBlJlYm9vdBAH",
            "EgoKBlJlbW90ZRAIEg0KCVNvZnRSZXNldBAJEhEKDVVubG9ja0NvbW1hbmQQ",
            "ChIQCgxEZUF1dGhvcml6ZWQQC0IJCgdfcmVhc29uQocBCh9jb20uY29kaWJs",
            "eS5tb2RlbC5ldmVudC5jaGFyZ2VyQhRTdG9wVHJhbnNhY3Rpb25Qcm90b8oC",
            "H0RvbWFpbk1vZGVsXFByb3RvXEV2ZW50XENoYXJnZXLiAitEb21haW5Nb2Rl",
            "bFxQcm90b1xFdmVudFxDaGFyZ2VyXEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Charger.StopTransaction), global::Event.Charger.StopTransaction.Parser, new[]{ "DeviceIdentifier", "MeterStop", "TransactionId", "Reason" }, new[]{ "Reason" }, new[]{ typeof(global::Event.Charger.StopTransaction.Types.Reason) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class StopTransaction : pb::IMessage<StopTransaction>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<StopTransaction> _parser = new pb::MessageParser<StopTransaction>(() => new StopTransaction());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<StopTransaction> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Charger.StopTransactionReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StopTransaction() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StopTransaction(StopTransaction other) : this() {
      _hasBits0 = other._hasBits0;
      deviceIdentifier_ = other.deviceIdentifier_;
      meterStop_ = other.meterStop_;
      transactionId_ = other.transactionId_;
      reason_ = other.reason_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StopTransaction Clone() {
      return new StopTransaction(this);
    }

    /// <summary>Field number for the "device_identifier" field.</summary>
    public const int DeviceIdentifierFieldNumber = 1;
    private string deviceIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DeviceIdentifier {
      get { return deviceIdentifier_; }
      set {
        deviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "meter_stop" field.</summary>
    public const int MeterStopFieldNumber = 2;
    private int meterStop_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int MeterStop {
      get { return meterStop_; }
      set {
        meterStop_ = value;
      }
    }

    /// <summary>Field number for the "transaction_id" field.</summary>
    public const int TransactionIdFieldNumber = 3;
    private int transactionId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int TransactionId {
      get { return transactionId_; }
      set {
        transactionId_ = value;
      }
    }

    /// <summary>Field number for the "reason" field.</summary>
    public const int ReasonFieldNumber = 4;
    private global::Event.Charger.StopTransaction.Types.Reason reason_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Event.Charger.StopTransaction.Types.Reason Reason {
      get { if ((_hasBits0 & 1) != 0) { return reason_; } else { return global::Event.Charger.StopTransaction.Types.Reason.None; } }
      set {
        _hasBits0 |= 1;
        reason_ = value;
      }
    }
    /// <summary>Gets whether the "reason" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasReason {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "reason" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearReason() {
      _hasBits0 &= ~1;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as StopTransaction);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(StopTransaction other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (DeviceIdentifier != other.DeviceIdentifier) return false;
      if (MeterStop != other.MeterStop) return false;
      if (TransactionId != other.TransactionId) return false;
      if (Reason != other.Reason) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (DeviceIdentifier.Length != 0) hash ^= DeviceIdentifier.GetHashCode();
      if (MeterStop != 0) hash ^= MeterStop.GetHashCode();
      if (TransactionId != 0) hash ^= TransactionId.GetHashCode();
      if (HasReason) hash ^= Reason.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      if (MeterStop != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(MeterStop);
      }
      if (TransactionId != 0) {
        output.WriteRawTag(24);
        output.WriteInt32(TransactionId);
      }
      if (HasReason) {
        output.WriteRawTag(32);
        output.WriteEnum((int) Reason);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      if (MeterStop != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(MeterStop);
      }
      if (TransactionId != 0) {
        output.WriteRawTag(24);
        output.WriteInt32(TransactionId);
      }
      if (HasReason) {
        output.WriteRawTag(32);
        output.WriteEnum((int) Reason);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (DeviceIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DeviceIdentifier);
      }
      if (MeterStop != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(MeterStop);
      }
      if (TransactionId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(TransactionId);
      }
      if (HasReason) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Reason);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(StopTransaction other) {
      if (other == null) {
        return;
      }
      if (other.DeviceIdentifier.Length != 0) {
        DeviceIdentifier = other.DeviceIdentifier;
      }
      if (other.MeterStop != 0) {
        MeterStop = other.MeterStop;
      }
      if (other.TransactionId != 0) {
        TransactionId = other.TransactionId;
      }
      if (other.HasReason) {
        Reason = other.Reason;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 16: {
            MeterStop = input.ReadInt32();
            break;
          }
          case 24: {
            TransactionId = input.ReadInt32();
            break;
          }
          case 32: {
            Reason = (global::Event.Charger.StopTransaction.Types.Reason) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 16: {
            MeterStop = input.ReadInt32();
            break;
          }
          case 24: {
            TransactionId = input.ReadInt32();
            break;
          }
          case 32: {
            Reason = (global::Event.Charger.StopTransaction.Types.Reason) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the StopTransaction message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum Reason {
        [pbr::OriginalName("None")] None = 0,
        [pbr::OriginalName("EmergencyStop")] EmergencyStop = 1,
        [pbr::OriginalName("EVDisconnected")] Evdisconnected = 2,
        [pbr::OriginalName("HardReset")] HardReset = 3,
        [pbr::OriginalName("Local")] Local = 4,
        [pbr::OriginalName("Other")] Other = 5,
        [pbr::OriginalName("PowerLoss")] PowerLoss = 6,
        [pbr::OriginalName("Reboot")] Reboot = 7,
        [pbr::OriginalName("Remote")] Remote = 8,
        [pbr::OriginalName("SoftReset")] SoftReset = 9,
        [pbr::OriginalName("UnlockCommand")] UnlockCommand = 10,
        [pbr::OriginalName("DeAuthorized")] DeAuthorized = 11,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
